import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取安装列表
export function listPageV2(data) {
  return request({
    url: `/settle/norm/other/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//安装导出
export function pageExport(data, name) {
  return postBlob({
    url: '/settle/norm/other/list/export',
    data,
    name
  })
}

// 新增
export function add(data) {
  return request({
    url: `/settle/norm/other/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/settle/norm/other/edit`,
    method: 'post',
    data
  })
}